<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black_12"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    android:padding="20dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/dialog_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/background_rectangle_cornered_grey_dark"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/top_icon"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginTop="40dp"
            android:contentDescription="@null"
            android:scaleType="fitCenter"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/dialog_title_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="24dp"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="20dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/top_icon">

            <TextView
                android:id="@+id/dialog_title"
                style="@style/OnBoardingHeaderTitleStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                tools:text="Note" />

            <TextView
                android:id="@+id/dialog_subtitle"
                style="@style/OnBoardingHeaderSubTitleStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                tools:text="Standart network fees may apply" />

        </LinearLayout>

        <EditText
            android:id="@+id/dialog_edittext"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="30dp"
            android:background="@drawable/dialog_edittext_background"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/dialog_title_layout" />

        <LinearLayout
            android:id="@+id/buttons_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="70dp"
            android:layout_marginVertical="34dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/dialog_edittext">

            <TextView
                android:id="@+id/dialog_ok"
                style="@style/FrameButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="10dp"
                tools:text="continue" />

            <TextView
                android:id="@+id/dialog_cancel"
                style="@style/StrokeButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:paddingVertical="10dp"
                tools:text="skip" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>